package net.nevet5gi.buzzbot.commands;


import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import net.dv8tion.jda.api.EmbedBuilder;
import net.nevet5gi.buzzbot.Config;
import net.nevet5gi.buzzbot.commands.utils.CommandContext;
import net.nevet5gi.buzzbot.commands.utils.ICommand;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class PandaCmd implements ICommand {
    public static String url;
    @Override
    public void handle(CommandContext ctx) {
        try { getHttpConnection(); } catch (IOException | InterruptedException e) { e.printStackTrace(); }
        EmbedBuilder eb = new EmbedBuilder();
        ctx.getChannel().sendTyping().queue();
        eb.setImage(url.replace("\"",""));
        ctx.getChannel().sendMessage(eb.build()).queue();
    }

    @Override
    public String getName() {
        return "panda";
    }

    @Override
    public String getHelp() {
        return "Sends a picture of a panda!\n" +
                "Usage: `" + Config.getConfig().getString("bot.prefix") + "panda`";
    }

    public static void getHttpConnection() throws IOException, InterruptedException {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
                .GET()
                .header("accept", "application/json")
                .uri(URI.create("https://some-random-api.ml/img/panda"))
                .build();
        client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
                .thenApply(HttpResponse::body)
                .thenApply(PandaCmd::parse)
                .join();
    }

    public static String parse(String response) {
        String mod = "[ " + response + " ]";
        JsonArray ja = new Gson().fromJson(mod, JsonArray.class);

        for (int i = 0; i < ja.getAsJsonArray().size(); i++) {
            JsonElement jo = ja.get(i);
            url = jo.getAsJsonObject().get("link").toString();
        }

        return null;
    }
}
