package net.nevet5gi.buzzbot.objects;

import java.sql.Date;
import java.sql.Time;

public class BanData extends UserData {
    private boolean banType;
    private int banLength;
    private String banReason;

    public BanData() {}

    public BanData(long userId, String userName, int userDiscriminator, Date date, Time time, boolean banType, int banLength, String banReason, String modName, long modId, String serverName, long serverId) {
        super(userId, userName, userDiscriminator, date, time, modName, modId, serverName, serverId);
        this.banType = banType;
        this.banLength = banLength;
        this.banReason = banReason;
    }

    public void setBanType(boolean banType) {
        this.banType = banType;
    }

    public boolean getBanType() {
        return banType;
    }

    public void setBanLength(int banLength) {
        this.banLength = banLength;
    }

    public int getBanLength() {
        return banLength;
    }

    public void setBanReason(String banReason) {
        this.banReason = banReason;
    }

    public String getBanReason() {
        return banReason;
    }
}
