package net.nevet5gi.buzzbot.objects;

import java.sql.Date;
import java.sql.Time;

public class MuteData extends UserData {
    private int muteLength;
    private String muteReason;

    public MuteData() {}

    public MuteData(long userId, String userName, int userDiscriminator, Date date, Time time, int muteLength, String muteReason, String modName, long modId, String serverName, long serverId) {
        super(userId, userName, userDiscriminator, date, time, modName, modId, serverName, serverId);
        this.muteLength = muteLength;
        this.muteReason = muteReason;
    }

    public void setMuteLength(int muteLength) {
        this.muteLength = muteLength;
    }

    public int getMuteLength() {
        return muteLength;
    }

    public void setMuteReason(String muteReason) {
        this.muteReason = muteReason;
    }

    public String getMuteReason() {
        return muteReason;
    }
}
