package net.nevet5gi.buzzbot.commands;

import net.dv8tion.jda.api.interactions.commands.build.CommandData;
import net.nevet5gi.buzzbot.commands.utils.CommandContext;
import net.nevet5gi.buzzbot.commands.utils.ICommand;
import net.nevet5gi.buzzbot.commands.utils.ISlashCommand;

public class WarnCmd implements ICommand, ISlashCommand {
    @Override
    public void handle(CommandContext ctx) {
        ctx.getMessage().reply("This command has not been implemented yet").queue();
    }

    @Override
    public void handleSlash(CommandContext ctx) {
        ctx.getSlashEvent().getHook().sendMessage("This command has not been implemented yet").queue();
    }

    @Override
    public String getName() {
        return "warn";
    }

    @Override
    public String getDescription() {
        return "Warns specified user";
    }

    @Override
    public CommandData getCommandData() {
        return new CommandData(this.getName(), this.getDescription());
    }

    @Override
    public String getHelp() {
        return "Warns the specified user";
    }
}
