package net.nevet5gi.buzzbot.objects;

import java.sql.Date;
import java.sql.Time;
import java.time.LocalDate;
import java.time.LocalTime;

public class UserData {
    private String name = "users";
    private long userId;
    private String userName;
    private int userDiscriminator;
    private Date date = Date.valueOf(LocalDate.now());
    private Time time = Time.valueOf(LocalTime.now());
    private String modName;
    private long modId;
    private String serverName;
    private long serverId;

    public UserData() {}

    public UserData(long userId, String userName, int userDiscriminator, Date date, Time time, String modName, long modId, String serverName, long serverId) {
        this.setUserId(userId);
        this.setUserName(userName);
        this.setUserDiscriminator(userDiscriminator);
        this.setDate(date);
        this.setTime(time);
        this.setModName(modName);
        this.setModId(modId);
        this.setServerName(serverName);
        this.setServerId(serverId);
    }

    public String getName() {
        return name;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserDiscriminator(int userDiscriminator) {
        this.userDiscriminator = userDiscriminator;
    }

    public int getUserDiscriminator() {
        return userDiscriminator;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Time getTime() {
        return time;
    }

    public void setModName(String modName) {
        this.modName = modName;
    }

    public String getModName() {
        return modName;
    }

    public void setModId(long modId) {
        this.modId = modId;
    }

    public long getModId() {
        return modId;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerId(long serverId) {
        this.serverId = serverId;
    }

    public long getServerId() {
        return serverId;
    }
}
